Xcode: The provided entity includes a relationship with an invalid value

2023年4月6日 1384点热度 0人点赞 0条评论

今天切了一个新包的版本,在使用 Xcode 打包上传 App Store 中出现了无法上传的问题;问题其实是使用的过程中不细心导致的,我们来看看这个问题。

问题识别

The provided entity includes a relationship with an invalid value

The provided entity includes a relationship with an invalid value

'' is not a valid id for the relationship 'build' (ID: 2bd1551a-573b-xxxx-xxxx-xxxxx03e0655)

 

问题原因

问题的原因其实是 Xcode 中 App 的版本和 App Store 中的 App 版本不一致,和 build 版本号空导致的

在 App Store 的版本号是  1.0

在 Xcode 的版本号是  1

在 Xcode 的Build号是 

Xcode: The provided entity includes a relationship with an invalid value

Xcode: The provided entity includes a relationship with an invalid value

 

解决方法

  • 将 Xcode 中的App版本(Version) 修改为 1.0
  • 将 Xcode 中的Build 版本修改为 1 或者其他的数值

 

 

帮助教程

提供最新的帮助教程,方便使用。

文章评论